### Home Classes Methods

### In Files

- lib/spreadsheet/note.rb

### Parent

Object

### Methods

- ::new

### Included Modules

- Spreadsheet::Encodings

### Files

- LICENSE.txt
- Manifest.txt

### Class/Module Index

Quicksearch

- Spreadsheet
- Spreadsheet::Column
- Spreadsheet::Compatibility
- Spreadsheet::Datatypes
- Spreadsheet::Encodings
- Spreadsheet::Excel
- Spreadsheet::Excel::Error
- Spreadsheet::Excel::ExcelCompatibleWorkbook
- Spreadsheet::Excel::Internals
- Spreadsheet::Excel::Internals::Biff5
- Spreadsheet::Excel::Internals::Biff8
- Spreadsheet::Excel::Offset
- Spreadsheet::Excel::Password
- Spreadsheet::Excel::Reader
- Spreadsheet::Excel::Reader::Biff5
- Spreadsheet::Excel::Rgb
- Spreadsheet::Excel::Row
- Spreadsheet::Excel::SstEntry
- Spreadsheet::Excel::Workbook
- Spreadsheet::Excel::Worksheet
- Spreadsheet::Font
- Spreadsheet::Format
- Spreadsheet::Formula
- Spreadsheet::Helpers
- Spreadsheet::Link
- Spreadsheet::Note
- Spreadsheet::NoteObject
- Spreadsheet::ParseExcel
- Spreadsheet::ParseExcel::Worksheet
- Spreadsheet::ParseExcel::Worksheet::Cell
- Spreadsheet::Row
- Spreadsheet::Workbook
- Spreadsheet::Worksheet
- Spreadsheet::Writer

No matching classes.

# Spreadsheet::Note

The Note class is a Subclass of String and represents a comment/note/annotation someone made to a cell.

Interesting Attributes

author | The name of the author who wrote the note

### Attributes

author[RW]
col[RW]
length[RW]
objID[RW]
row[RW]
text[RW]

### Public Class Methods

new() click to toggle source

    # File lib/spreadsheet/note.rb, line 14
    def initialize
      @author = nil
      @length = 0
      @objID  = nil
      @row    = -1
      @col    = -1
      @text   = ""
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.